death_observer_test.cpp File Reference
`#include <core/posix/child_process.h>`
`#include <core/posix/signal.h>`
`#include <core/testing/fork_and_run.h>`
`#include <gtest/gtest.h>`
Include dependency graph for death_observer_test.cpp:

Go to the source code of this file.

## Functions

| TESTP (DeathObserver, construction_and_deconstruction_works, { auto trap=core::posix::trap_signals_for_all_subsequent_threads({core::posix::Signal::sig_chld});EXPECT_NO_THROW(auto death_observer=core::posix::ChildProcess::DeathObserver::create_once_with_signal_trap(trap));}) TESTP(DeathObserver
| EXPECT_ANY_THROW (auto death_observer=core::posix::ChildProcess::DeathObserver::create_once_with_signal_trap(trap))

## Variables

| construction_with_a_trap_not_including_sig_chld_throws

## Function Documentation

## EXPECT_ANY_THROW()

EXPECT_ANY_THROW | ( | auto | death_observer = `core::posix::ChildProcess::DeathObserver::create_once_with_signal_trap(trap)` | ) |

Referenced by TEST().

## TESTP()

TESTP | ( | DeathObserver | ,
|  | construction_and_deconstruction_works | ,
|  | { auto trap=core::posix::trap_signals_for_all_subsequent_threads({core::posix::Signal::sig_chld});EXPECT_NO_THROW(auto death_observer=core::posix::ChildProcess::DeathObserver::create_once_with_signal_trap(trap));} |
| ) |  |

## Variable Documentation

## construction_with_a_trap_not_including_sig_chld_throws

construction_with_a_trap_not_including_sig_chld_throws

Definition at line 32 of file death_observer_test.cpp.